Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## extmodule
Interface IF_ExtModule_Feed

All Known Subinterfaces:
  IF_ExtModule_GetProposal

All Known Implementing Classes:
  ExtProposalMC, JNI_Feed, JNI_GetProposal

    public interface IF_ExtModule_Feed

Method Summary
`boolean` | `initModule(int[] betSizes, int[] betStructure, int[] blindStructure, int ante, java.lang.String playerNames, int[] cashOfPlayer)` Tries to initialize the module.
`void` | `newAction(Action action)` Informs the module about a new action.
`void` | `newHand(int button)` Informs the module about the beginning of a new hand.
`void` | `newHoleCards(int player, int[] cards)` Informs the module about new hole cards of a player.
`void` | `newRound(int round, int[] newCards)` Informs the module about a new round.
`void` | `showdown(int player, int gain)` Informs the module about the showdown of the hand.

Method Detail

### initModule

    boolean initModule(int[] betSizes,
                       int[] betStructure,
                       int[] blindStructure,
                       int ante,
                       java.lang.String playerNames,
                       int[] cashOfPlayer)

  Tries to initialize the module.

  Parameters:
    `betStructure` - The limits for each betting round (0 for no limit)
    `blindStructure` - The blind sizes for the players after the button
    `ante` - The ante for each player
    `playerNames` - The player names in the table order. The name at index 0 is the own name
    `cashOfPlayer` - The initial cash of the players.
  Returns:
    The success of initializing the module (Is the module able to deal with the limits, blinds, antes, amount of players,...)

### newHand

    void newHand(int button)

  Informs the module about the beginning of a new hand.

### newHoleCards

    void newHoleCards(int player,
                      int[] cards)

  Informs the module about new hole cards of a player.

### newAction

    void newAction(Action action)

  Informs the module about a new action.

### newRound

    void newRound(int round,
                  int[] newCards)

  Informs the module about a new round.

### showdown

    void showdown(int player,
                  int gain)

  Informs the module about the showdown of the hand.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD